#include <bits/stdc++.h>
#define int long long
using namespace std;
const int MAXN = 1e5+5;


int n, k;
array<int,2> a[MAXN];
int ans[MAXN];

void solve(){
    cin >> n >> k;
    for(int i = 1; i <= k; ++i){
        cin >> a[i][0];
        a[i][1] = i;
    }
    sort(a+1,a+k+1);
    for(int i = 1; i <= k; ++i){
        for(int j = 1; j <= i; ++j){
            if(a[i][0]%a[j][0]==0) ans[a[i][1]] ^= a[j][0];
        }
    }
    for(int i = 1; i <= k; ++i) cout << ans[i] << ' ';
}

int32_t main(){
    ios_base::sync_with_stdio(0);cin.tie(0);
    int qqq=1;
    //cin >> qqq;
    while(qqq--)solve();
    return 0;
}